# Rack::Inflater

Rack middleware to inflate GZip and other compressions in incoming HTTP requests.

[![Build Status](https://travis-ci.org/lautis/rack-inflater.svg?branch=master)](https://travis-ci.org/lautis/rack-inflater)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rack-inflater'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rack-inflater

## Usage

For Rails (5.x and newer) applications, the middleware will be automatically injected into the application.

If you're using a non-Rails Rack application, you can include the inflater like any other middleware. For example, in `rackup.ru`:

```ruby

use Rack::Inflater
app = # application initialiser
run app
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/lautis/rack-inflater.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
